### Constructor

# Clutter PropertyTransition new_for_actor

#### Declaration [src]

    ClutterTransition*
    clutter_property_transition_new_for_actor (
      ClutterActor* actor,
      const char* property_name
    )

#### Description [src]

Creates a new `ClutterPropertyTransition`.

#### Parameters

`actor`

  Type: `ClutterActor`

  A `ClutterActor`.

  The data is owned by the caller of the function.

`property_name`

  Type: `const char*`

  A property of `animatable`, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `ClutterTransition`

The newly created `ClutterPropertyTransition`. Use `g_object_unref()` when done.

The caller of the function takes ownership of the data, and is responsible for freeing it.